﻿namespace Galatea.Data
{
    /// <summary>
    /// Defines the interface for a data gateway factory.
    /// </summary>
    public interface IGalateaDataGatewayFactory
    {
        /// <summary>
        /// Gets an implementation of the user data gateway interface.
        /// </summary>
        /// <returns>An implementation of the user data gateway interface.</returns>
        IUserDataGateway GetUserDataGateway();

        /// <summary>
        /// Gets an implementation of the project data gateway interface.
        /// </summary>
        /// <returns>An implementation of the project data gateway interface.</returns>
        IProjectDataGateway GetProjectDataGateway();

        /// <summary>
        /// Gets an implementation of the review data gateway interface.
        /// </summary>
        /// <returns>An implementation of the review data gateway interface.</returns>
        IReviewDataGateway GetReviewDataGateway();

        /// <summary>
        /// Gets an implementation of the revision data gateway interface.
        /// </summary>
        /// <returns>An implementation of the revision data gateway interface.</returns>
        IRevisionDataGateway GetRevisionDataGateway();
    }
}