﻿namespace Galatea.Data
{
    using System;
    using Galatea.Data.TransportObjects;

    /// <summary>
    /// Defines the interface for a data gateway which interacts with the project data in data store
    /// </summary>
    public interface IProjectDataGateway : IDisposable
    {
        /// <summary>
        /// Creates a new project in the datastore
        /// </summary>
        /// <param name="value">A DTO representing the project to create</param>
        /// <returns>A dto representing the project that was created by the data store procedure</returns>
        /// <exception cref="T:System.ArgumentNullException">
        /// Thrown if the value passed to the <paramref name="value"/> parameter is null.
        /// </exception>
        void Create(ref ProjectDTO value);
    }
}
