﻿namespace Galatea.Data
{
    using System;
    using Galatea.Data.TransportObjects;

    public interface IRevisionDataGateway : IDisposable
    {
        /// <summary>
        /// Creates a new revision in the data store.
        /// </summary>
        /// <param name="value">A data transport object representing the review to create.</param>
        void Create(ref RevisionDTO value);

        /// <summary>
        /// Get a DTO representing a Revision
        /// </summary>
        /// <param name="reviewGuid">the unique identifier of the Review</param>
        RevisionDTO Get(Guid RevisionGuid);

        /// <summary>
        /// Saves the specified revision, and all of its aggregates in the data store.
        /// </summary>
        /// <param name="value">A data transport object representing the revision to save.</param>
        void Save(ref RevisionDTO value);
    }
}
