﻿namespace Galatea.Data
{
    using System;
    using Galatea.Data.TransportObjects;

    /// <summary>
    /// Defines the interface for a data gateway which interacts with user data in the data store.
    /// </summary>
    public interface IUserDataGateway : IDisposable
    {
        /// <summary>
        /// Creates a new user in the data store.
        /// </summary>
        /// <param name="value">A data transport object representing the user to create.</param>
        /// <exception cref="T:System.ArgumentNullException">
        /// Thrown if the value passed to the <paramref name="value"/> parameter is null.
        /// </exception>
        void Create(ref UserDTO value);

        UserDTO GetUser(Guid userGuid);
    }
}