﻿namespace Galatea.Data.Mappers
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Galatea.Data.TransportObjects;
    using Galatea.DomainModel;

    public class ReviewDataMapper : IDataMapper<ReviewDataMapper, ReviewDTO>
    {
        static internal Review FromDataTransport(ReviewDTO data)
        {
            if (data == null)
                throw new ArgumentNullException("data");

            return new Review
            {
                Title          = data.Title,
                Description    = data.Description,
                Content        = data.Content,
                OwnerGuid      = data.OwnerGuid,
                DateCreatedUtc = data.DateCreatedUtc
            };
        }
      
        internal ReviewDTO ToDataTransport(Review model)
        {
            if (model == null)
                throw new ArgumentNullException("model");

            return new ReviewDTO
            {
                Title          = model.Title,
                Description    = model.Description,
                Content        = model.Content,
                OwnerGuid      = model.OwnerGuid,
                DateCreatedUtc = model.DateCreatedUtc
            };
        }
    }
}
