﻿namespace Galatea.Data.Mappers
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Galatea.Data.TransportObjects;
    using Galatea.DomainModel;

    internal class RevisionDataMapper : IDataMapper<Revision, RevisionDTO>
    {
        static public Revision FromDataTransport(RevisionDTO data)
        {
            if (data == null)
                throw new ArgumentNullException("data");

            return new Revision
            {
                ReviewerGuid     = data.ReviewerGuid,
                Comment          = data.Comment,
                RevisedContent   = data.RevisedContent,
                DateSubmittedUtc = data.DateSubmittedUtc
            };
        }

        public RevisionDTO ToDataTransport(Revision model)
        {
            if (model == null)
                throw new ArgumentNullException("model");

            return new RevisionDTO
            {
                ReviewerGuid     = model.ReviewerGuid,
                Comment          = model.Comment,
                RevisedContent   = model.RevisedContent,
                DateSubmittedUtc = model.DateSubmittedUtc
            };
        }

    }
}
