﻿namespace Galatea.Data.Maps
{
    using System.Globalization;
    using AutoMapper;
    using Bootstrap.AutoMapper;
    using Galatea.Data.TransportObjects;
    using Galatea.DomainModel;

    /// <summary>
    /// Defines a mapper class which maps between User domain model objects and UserDTO data
    /// transport objects.
    /// </summary>
    public class UserDataMap : IMapCreator
    {
        public void CreateMap(IProfileExpression mapper)
        {
            mapper.CreateMap<User, UserDTO>()
                  .ForMember(x => x.CultureCode, opt => opt.MapFrom(y => y.Culture.IetfLanguageTag));

            mapper.CreateMap<UserDTO, User>()
                  .ForMember(x => x.Culture, opt => opt.MapFrom(y => CultureInfo.GetCultureInfoByIetfLanguageTag(y.CultureCode)));
        }
    }
}