﻿namespace Galatea.Data.TransportObjects
{
    using System;

    /// <summary>
    /// Defines the Data Transport Object which represents a project.
    /// </summary>
    public class ProjectDTO
    {
        /// <summary>
        /// Gets or sets the projects unique identifier
        /// </summary>
        public Guid ProjectGuid { get; set; }

        /// <summary>
        /// Gets or sets the unique identifier of the user which owns the project.
        /// </summary>
        public Guid OwnerGuid { get; set; }

        /// <summary>
        /// Gets or sets the name of the project
        /// </summary>
        public String Name { get; set; }

        /// <summary>
        /// Gets or sets the date on which the project was created 
        /// </summary>
        public DateTimeOffset DateCreatedUtc { get; set; }
    }
}
