﻿namespace Galatea.Data.TransportObjects
{
    using System;

    /// <summary>
    /// Defines a data transport object representing a review.
    /// </summary>
    public class ReviewDTO
    {
        /// <summary>
        /// Gets or sets the title of the review.
        /// </summary>
        public String Title { get; set; }

        /// <summary>
        /// Gets or sets the review description.
        /// </summary>
        public String Description { get; set; }

        /// <summary>
        /// Gets or sets the review content.
        /// </summary>
        public String Content { get; set; }

        /// <summary>
        /// Gets or sets the unique identifier of the user which owns the review.
        /// </summary>
        public Guid OwnerGuid { get; set; }

        /// <summary>
        /// Gets or sets the date &amp; time on which the review was created.
        /// </summary>
        public DateTimeOffset DateCreatedUtc { get; set; }

        /// <summary>
        /// Gets or sets an array of data transport objects which represent the reviews revisions.
        /// </summary>
        public RevisionDTO[] Revisions { get; set; }
    }
}