﻿namespace Galatea.Data.TransportObjects
{
    using System;

    /// <summary>
    /// Defines the data transport object which represents a revision.
    /// </summary>
    public class RevisionDTO
    {
        /// <summary>
        /// Gets or sets the unique idenfitier of the reviewer.
        /// </summary>
        public Guid ReviewerGuid { get; set; }

        /// <summary>
        /// Gets or sets the revision comments.
        /// </summary>
        public String Comment { get; set; }

        /// <summary>
        /// Gets or sets the revised content.
        /// </summary>
        public String RevisedContent { get; set; }

        /// <summary>
        /// Gets or sets the date &amp; time on which the revision was submitted.
        /// </summary>
        public DateTimeOffset DateSubmittedUtc { get; set; }
    }
}