﻿namespace Galatea.DomainModel
{
    using System.Collections.Generic;

    /// <summary>
    /// Defines a collection of revisions.
    /// </summary>
    public class RevisionCollection : SortedSet<Revision>
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RevisionCollection"/> class.
        /// </summary>
        public RevisionCollection()
            : base(new RevisionComparer())
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="RevisionCollection"/> class.
        /// </summary>
        /// <param name="revisions">The revisions.</param>
        public RevisionCollection(IEnumerable<Revision> revisions)
            : this()
        {
            foreach (var revision in revisions)
            {
                this.Add(revision);
            }
        }
    }
}