﻿namespace Galatea.DomainModel
{
    using System;
    using System.Collections.Generic;

    /// <summary>
    /// Defines an implemtation of <see cref="T:System.Collections.Generic.IComparer`1"/> which
    /// encapsulates sorting rules for the <see cref="T:Galatea.DomainModel.Revision"/> domain
    /// model object.
    /// </summary>
    public class RevisionComparer : IComparer<Revision>
    {
        /// <summary>
        /// Compares two objects and returns a value indicating whether one is less than, equal
        /// to, or greater than the other.
        /// </summary>
        /// <param name="x">The first object to compare.</param>
        /// <param name="y">The second object to compare.</param>
        /// <returns>
        /// Value
        /// Condition
        /// Less than zero
        /// <paramref name="x"/> is less than <paramref name="y"/>.
        /// Zero
        /// <paramref name="x"/> equals <paramref name="y"/>.
        /// Greater than zero
        /// <paramref name="x"/> is greater than <paramref name="y"/>.
        /// </returns>
        public Int32 Compare(Revision x, Revision y)
        {
            return x.DateSubmittedUtc.CompareTo(y.DateSubmittedUtc);
        }
    }
}