﻿namespace Galatea.Repositories
{
    using Galatea.Data;
    using Galatea.DomainModel;

    public class ProjectRepository
    {
        public ProjectRepository(IGalateaDataGatewayFactory dataGatewayFactory)
        {
            this.DataGatewayFactory = dataGatewayFactory;
        }

        private IGalateaDataGatewayFactory DataGatewayFactory { get; set; }

        public void Create(ref Project value)
        {
            using (var dataGateway = this.DataGatewayFactory.GetProjectDataGateway())
            {
                var dto = value.ToDataTransport();

                dataGateway.Create(ref dto);

                value = Project.FromDataTransport(dto);
            }
        }
    }
}
