﻿namespace GAlatea.Repositories
{
    using Galatea.Data;
    using Galatea.Data.TransportObjects;
    using Galatea.DomainModel;

    /// <summary>
    /// Acts as a mediator betwen the domain layer and the data access layer for User entities.
    /// </summary>
    public class UserRepository
    {
        public UserRepository(IGalateaDataGatewayFactory dataGatewayFactory)
        {
            this.DataGatewayFactory = dataGatewayFactory;
        }

        private IGalateaDataGatewayFactory DataGatewayFactory { get; set; }

        public User Create(User value)
        {
            IUserDataGateway dataGateway = this.DataGatewayFactory.GetUserDataGateway();

            UserDTO dto = value.ToDataTransport();

            UserDTO newUserDto = dataGateway.Create(dto);

            return User.FromDataTransport(newUserDto);
        }
    }
}