﻿namespace Galatea.Services
{
    using System;
    using Galatea.Services.TransportObjects;

    /// <summary>
    /// Defines the interface for an implementation of the user account service.
    /// </summary>
    public interface IUserAccountService
    {
        /// <summary>
        /// Registers a new user on the system.
        /// </summary>
        /// <param name="emailAddress">The users email address.</param>
        /// <param name="passwordHash">The users hashed password.</param>
        /// <param name="cultureCode">An EITF culture code representing the users preferred language.</param>
        void RegisterUser(String emailAddress, String passwordHash, String cultureCode);

        /// <summary>
        /// Gets a service transport object representing the user with the specified user Guid.
        /// </summary>
        /// <param name="userGuid">The unique identifier of the user.</param>
        /// <returns>A service transport object representing the user.</returns>
        UserSTO GetUser(Guid userGuid);
    }
}