﻿namespace Galatea.Services.Maps
{
    using System.Globalization;
    using AutoMapper;
    using Bootstrap.AutoMapper;
    using Galatea.DomainModel;
    using Galatea.Services.TransportObjects;

    /// <summary>
    /// Defines a mapper class which maps between User domain model objects and UserSTO data
    /// transport objects.
    /// </summary>
    public class UserServiceMap : IMapCreator
    {
        public void CreateMap(IProfileExpression mapper)
        {
            mapper.CreateMap<User, UserSTO>()
                  .ForMember(x => x.CultureCode, opt => opt.MapFrom(y => y.Culture.IetfLanguageTag));

            mapper.CreateMap<UserSTO, User>()
                  .ForMember(x => x.Culture, opt => opt.MapFrom(y => CultureInfo.GetCultureInfoByIetfLanguageTag(y.CultureCode)));
        }
    }
}