﻿namespace Galatea.Services.TransportObjects
{
    using System;
    using System.Xml.Serialization;

    [XmlRoot("Project")]
    public class ProjectSTO
    {
        /// <summary>
        /// Gets or sets the project unique identifier
        /// </summary>
        [XmlElement]
        public Guid ProjectGuid { get; set; }

        /// <summary>
        /// Gets or sets the unique identifier of the user which owns the project.
        /// </summary>
        [XmlElement]
        public Guid OwnerGuid {get; set;}

        /// <summary>
        /// Gets or sets the name of the project
        /// </summary>
        [XmlElement]
        public string Name {get; set;}

        /// <summary>
        /// Gets or sets the date on which the project was created 
        /// </summary>
        [XmlElement]
        public DateTimeOffset DateCreated {get; set;}
    }
}
