﻿
namespace Galatea.Services.TransportObjects
{
    using System;
    using System.Xml.Serialization;

    [XmlRoot("Review")]
    public class ReviewSTO
    {
        /// <summary>
        /// Gets or sets the title of the review.
        /// </summary>
        [XmlElement]
        public String Title { get; set; }

        /// <summary>
        /// Gets or sets the review description.
        /// </summary>
        [XmlElement]
        public String Description { get; set; }

        /// <summary>
        /// Gets or sets the review content.
        /// </summary>
        [XmlElement]
        public String Content { get; set; }

        /// <summary>
        /// Gets or sets the unique identifier of the user which owns the review.
        /// </summary>
        [XmlElement]
        public Guid OwnerGuid { get; set; }

        /// <summary>
        /// Gets or sets the date &amp; time on which the review was created.
        /// </summary>
        [XmlElement]
        public DateTimeOffset DateCreatedUtc { get; set; }

        /// <summary>
        /// Gets or sets an array of service transport objects which represent the reviews revisions.
        /// </summary>
        [XmlElement]
        public RevisionSTO[] Revisions { get; set; }
    }
}
