﻿namespace Galatea.Services.TransportObjects
{
    using System;
    using System.Xml.Serialization;

    /// <summary>
    /// Defines the service transport object which represents a user.
    /// </summary>
    [XmlRoot("User")]
    public class UserSTO
    {
        /// <summary>
        /// Gets or sets the users unique identifier.
        /// </summary>
        [XmlElement]
        public Guid UserGuid { get; set; }

        /// <summary>
        /// Gets or sets the users email address.
        /// </summary>
        [XmlElement]
        public String EmailAddress { get; set; }

        /// <summary>
        /// Gets or sets the users hashed password.
        /// </summary>
        [XmlElement]
        public String PasswordHash { get; set; }

        /// <summary>
        /// Gets or sets an IETF language tag representing the users culture.
        /// </summary>
        [XmlElement]
        public String CultureCode { get; set; }

        /// <summary>
        /// Gets or sets the date &amp; on which the user last logged in.
        /// </summary>
        [XmlElement]
        public DateTimeOffset LastLoginUtc { get; set; }
    }
}