﻿namespace Galatea.Data
{
    using System;
    using System.Diagnostics.Contracts;
    using System.Linq;
    using Galatea.Data.TransportObjects;

    internal sealed class UserDataGateway : IUserDataGateway
    {
        public UserDataGateway(GalateaContainer container)
        {
            this.Container = container;
        }

        private GalateaContainer Container { get; set; }

        public void Create(ref UserDTO value)
        {
            Contract.Requires(value != null, "value");

            // Call the stored procedure and get the result entity...
            var result = this.Container
                             .UserCreate(value.EmailAddress, value.PasswordHash, value.CultureCode)
                             .First();

            value = new UserDTO
            {
                CultureCode  = result.CultureCode,
                EmailAddress = result.EmailAddress,
                LastLoginUtc = result.LastLoginUtc,
                PasswordHash = result.PasswordHash,
                UserGuid     = result.UserGuid
            };
        }

        public void Dispose()
        {
        }
    }
}