﻿namespace Galatea.Web.Models
{
    using System;

    /// <summary>
    /// Defines the data transport object which represents a user.
    /// </summary>
    public class UserDetailsViewModel
    {
        /// <summary>
        /// Gets or sets the users unique identifier.
        /// </summary>
        public Guid UserGuid { get; set; }

        /// <summary>
        /// Gets or sets the users email address.
        /// </summary>
        public String EmailAddress { get; set; }

        /// <summary>
        /// Gets or sets the users hashed password.
        /// </summary>
        public String PasswordHash { get; set; }

        /// <summary>
        /// Gets or sets an IETF language tag representing the users culture.
        /// </summary>
        public String CultureCode { get; set; }

        /// <summary>
        /// Gets or sets the date &amp; on which the user last logged in.
        /// </summary>
        public Galatea.Web.Services.DateTimeOffset LastLoginUtc { get; set; }
    }
}